@media print {
  body {
    padding: 0;
    margin: 0;
  }
}

@page {
  margin: 0;
}

.hiprint-printPaper * {
  box-sizing: border-box;
  box-sizing: border-box;
  box-sizing: border-box;

  /* Firefox */

  /* Safari */
  image-rendering: optimize-contrast; /* 让图片/标尺稍微清楚一点 */
}

.hiprint-printPaper *:focus {
  outline: -webkit-focus-ring-color auto 0;
}

.hiprint-page-break-avoid {
  page-break-after: avoid;
}

.hiprint-printPaper {
  position: relative;
  overflow: hidden;
  overflow-x: hidden;
  padding-block: 0;
  padding-inline: 0;
  page-break-after: always;
  user-select: none; /* Chrome/Safari/Opera */
  user-select: none; /* Firefox */
  user-select: none;
}

.hiprint-printPaper .hiprint-printPaper-content {
  position: relative;
}

.hiprint-printPaper.design {
  overflow: visible;
}

.hiprint-printTemplate .hiprint-printPanel {
  page-break-after: always;
}

.hiprint-printPaper,
hiprint-printpanel {
  box-sizing: border-box;
  border: 0;
}

.hiprint-printPanel .hiprint-printPaper:last-child {
  page-break-after: avoid;
}

.hiprint-printTemplate .hiprint-printPanel:last-child {
  page-break-after: avoid;
}

.hiprint-printPaper .hideheaderLinetarget {
  border-block-start: 0 dashed rgb(201, 190, 190) !important;
}

.hiprint-printPaper .hidefooterLinetarget {
  border-block-start: 0 dashed rgb(201, 190, 190) !important;
}

.hiprint-printPaper.design {
  border: 1px dashed rgba(170, 170, 170, 70%);
}

.design .hiprint-printElement-table-content,
.design .hiprint-printElement-longText-content {
  overflow: hidden;
  box-sizing: border-box;
}

.design .resize-panel {
  box-sizing: border-box;
  border: 1px dotted;
}

.hiprint-printElement-text {
  box-sizing: border-box;
  padding: 0;
  border: 0.75pt none rgb(0, 0, 0);
  background-color: transparent;
  background-repeat: repeat;
  direction: ltr;
  font-family: SimSun;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  line-height: 9.75pt;
  padding-block: 0;
  padding-inline: 0;
  text-align: start;
  text-decoration: none;
  word-break: break-all;
  word-wrap: break-word;
}

.design .hiprint-printElement-text-content {
  box-sizing: border-box;
  border: 1px dashed rgb(206, 188, 188);
}

.hiprint-printElement-longText {
  box-sizing: border-box;
  padding: 0;
  border: 0.75pt none rgb(0, 0, 0);
  background-color: transparent;
  background-repeat: repeat;
  direction: ltr;
  font-family: SimSun;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  line-height: 9.75pt;
  text-align: start;
  text-decoration: none;
  word-break: break-all;
  word-wrap: break-word;

  /* white-space: pre-wrap */
}

.hiprint-printElement-table {
  box-sizing: border-box;
  padding: 0;
  padding: 0;
  border-style: none;
  border-color: rgb(0, 0, 0);
  background-color: transparent;
  background-repeat: repeat;
  color: rgb(0, 0, 0);
  direction: ltr;
  font-family: SimSun;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  line-height: 9.75pt;
  text-align: start;
  text-decoration: none;
}

.hiprint-printElement-table thead {
  background: #e8e8e8;
  font-weight: 700;
}

.hiprint-printElement-tableTarget,
.hiprint-printElement-tableTarget tr,
.hiprint-printElement-tableTarget td {
  box-sizing: border-box;
  border: 1px solid rgb(0, 0, 0);
  border-style: none;
  border-color: rgb(0, 0, 0);
  direction: ltr;
  font-weight: normal;
  padding-block: 0;
  padding-inline: 4pt;
  text-decoration: none;
  vertical-align: middle;
  word-break: break-all;
  word-wrap: break-word;

  /* line-height: 9.75pt;
    font-size: 9pt; */
}

/* .hiprint-printElement-tableTarget tr, */
.hiprint-printElement-tableTarget td {
  block-size: 18pt;
}

.hiprint-printPaper .hiprint-paperNumber {
  font-size: 9pt;
}

.design .hiprint-printElement-table-handle {
  position: absolute;
  z-index: 1;
  background: red;
  block-size: 21pt;
  inline-size: 21pt;
}

.hiprint-printPaper .hiprint-paperNumber-disabled {
  color: gainsboro !important;
  float: inline-end !important;
  inset-inline-end: 0 !important;
}

.hiprint-printElement-vline,
.hiprint-printElement-hline {
  border: 0 none rgb(0, 0, 0);
}

.hiprint-printElement-vline {
  border-block-end: 0 none rgb(0, 0, 0) !important;
  border-block-start: 0 none rgb(0, 0, 0) !important;
  border-inline-end: 0 none rgb(0, 0, 0) !important;
  border-inline-start: 0.75pt solid #000;
}

.hiprint-printElement-hline {
  border-block-end: 0 none rgb(0, 0, 0) !important;
  border-block-start: 0.75pt solid #000;
  border-inline-end: 0 none rgb(0, 0, 0) !important;
  border-inline-start: 0 none rgb(0, 0, 0) !important;
}

.hiprint-printElement-oval,
.hiprint-printElement-rect {
  border: 0.75pt solid #000;
}

.hiprint-text-content-middle {
  display: table;
}

.hiprint-text-content-middle > div {
  display: table-cell;
  vertical-align: middle;
}

.hiprint-text-content-bottom {
  display: table;
}

.hiprint-text-content-bottom > div {
  display: table-cell;
  vertical-align: bottom;
}

/* hi-grid-row */
.hi-grid-row {
  position: relative;
  display: block;
  box-sizing: border-box;
  block-size: auto;
  margin-inline: 0;
  zoom: 1;
}

.hi-grid-row::after,
.hi-grid-row::before {
  display: table;
  box-sizing: border-box;
  content: "";
}

.hi-grid-col {
  position: relative;
  display: block;
  box-sizing: border-box;
  flex: 0 0 auto;
  float: inline-start;
}

.table-grid-row {
  margin-inline: -0;
}

.tableGridColumnsGutterRow {
  padding-inline: 0;
}

.hiprint-gridColumnsFooter {
  clear: both;
  text-align: start;
}
